package com.reyun.saas.common.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;
import redis.clients.jedis.JedisCluster;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author: hanzepeng
 * @Date: 2021/10/14/10:58
 * @Description: 实时的redis集群
 *    注意: 该工具类是实时的redis 实时那边redis集群压力较大. 涉及到实时redis的需求建议找实时的同事讨论后操作;
 */
@Slf4j
@Component
public class RealTimeRedisUtils {

    /**
     * 这个集群在CustomRedisConfig类中配置
     */
    @Resource
    private JedisCluster realTimeJedisCluster;


    /**
     * 查询实时redis集群中的list集合
     * @param key 键
     * @return 集合
     */
    public List<String> getStringList(String key){
        if (StringUtils.isEmpty(key)) {
            throw new RuntimeException("参数错误");
        }
        try {
            return  realTimeJedisCluster.lrange(key, 0, -1);
        } catch (Exception exception) {
            log.error("RealTimeRedisUtils.getStringList()方法发生异常",exception);
        }
        return null;
    }




}
